stages:
  - build
  - test
  - release
  
build:
  script: echo "build ${NEXUS_USER}"
  
test:
  script: echo "test"

release:
  before_script:
    - yarn install --frozen-lockfile
    - wget -O package.json https://gitlab.com/snippets/1771339/raw
    - sed -ri "s|\"##CI_PROJECT_URL##\"|\"${CI_PROJECT_URL}\"|" package.json
    - cat package.json
  image: node:8
  only:
    - master
  script:
    - yarn add --dev semantic-release-gitlab
    - DEBUG=semantic-release-gitlab $(yarn bin)/semantic-release-gitlab
  stage: release
